/*
 * @Author: Kane
 * @Date: 2023-06-03 20:18:46
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/archievement/RankingList/RankingListResponse.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.archievement.RankingList;

import java.util.ArrayList;
import com.cpic.xim.utils.ranking.CallerRankingItem;
import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class RankingListResponse extends QueryResponse
{
    public RankingListResponse()
    {
        super();
    }

    public RankingListResponse( boolean success, String message, String departmentCode, String year,
            String month, ArrayList<CallerRankingItem> attachingRateRankingList,
            ArrayList<CallerRankingItem> renewalRateRankingList)
    {
        super( success, message );
        
        this.departmentCode = departmentCode;
        this.year = year;
        this.month = month;
        this.attachingRateRankingList = attachingRateRankingList;
        this.renewalRateRankingList = renewalRateRankingList;
    }

    public String getDepartmentCode()
    {
        return departmentCode;
    }

    public void setDepartmentCode( String departmentCode )
    {
        this.departmentCode = departmentCode;
    }

    public String getYear()
    {
        return year;
    }

    public void setYear( String year )
    {
        this.year = year;
    }

    public String getMonth()
    {
        return month;
    }

    public void setMonth( String month )
    {
        this.month = month;
    }

    public ArrayList<CallerRankingItem> getAttachingRateRankingList()
    {
        return attachingRateRankingList;
    }

    public void setAttachingRateRankingList( ArrayList<CallerRankingItem> attachingRateRankingList )
    {
        this.attachingRateRankingList = attachingRateRankingList;
    }

    public ArrayList<CallerRankingItem> getRenewalRateRankingList()
    {
        return renewalRateRankingList;
    }

    public void setRenewalRateRankingList( ArrayList<CallerRankingItem> renewalRateRankingList )
    {
        this.renewalRateRankingList = renewalRateRankingList;
    }

    // 部门代码
    @JsonProperty( "departmentCode" )
    private String departmentCode;

    // 统计年份
    @JsonProperty( "year" )
    private String year;

    // 统计月份
    @JsonProperty( "month" )
    private String month;

    // 车非融合率排行
    @JsonProperty( "attachingRateRankingList" )
    private ArrayList<CallerRankingItem> attachingRateRankingList;

    // 续保率排行
    @JsonProperty( "renewalRateRankingList" )
    private ArrayList<CallerRankingItem> renewalRateRankingList;
}
